#include <iostream>

using namespace std;
long long c, v, grup, pas, i;
int main () {

    cin>>c>>v;
    if (c == 1) {
        for (grup = 1;;grup++) {
            for (i=1;i<=grup;i++) {
                v--;
                if (v == 0) {
                    cout<<i;
                    return 0;
                }
            }
            for (i=1;i<=grup;i+=2) {
                v--;
                if (v == 0) {
                    cout<<i;
                    return 0;
                }
            }
        }
    } else {
        for (grup = 1;;grup++) {
            for (i=1;i<=grup;i++) {
                pas++;
                if (i == v) {
                    cout<<pas;
                    return 0;
                }
            }
            for (i=1;i<=grup;i+=2) {
                pas++;
                if (i == v) {
                    cout<<pas;
                    return 0;
                }
            }
        }
    }

    return 0;
}
